Subject: RE: [Enum] H.323 enumservice registration ID

From: Orit Levin <[email-masked]>
Date: Mon, 28 Oct 2002 16:09:10 -0500

Hi guys!
It is a very good observation.
I have been contemplating this morning how I can clearly explain the past
and future events that are required in order for the whole thing to happen.
I will try to do it below:

1. The basic form of H.323 URL is a part of H.323v4 (that has been approved
on Nov. 2000). [Done]

2. Basic H.323 URL needs to be registered with the IANA. [In the past was
dependant on (1) and the IETF process]. Good news: it becomes a part of
IPTEL WG agenda. I am resubmitting 05 draft for the Atlanta meeting and we
all hope that it gets registered sooooon.

3. Revised telephone-uri needs to be registered with the IANA. [Annex O
below depends on it]

4. H.323 Annex O (i.e. TD-WP2-0057) defines H.323 URL parameters and
location procedures for H.323 systems using DNS (including SRV records'
lookup). For example, one of the parameters is "user=phone" enabling
inclusion of a telephone-uri within the H.323 URL. [Annex O approval is
pending the standard revised telephone-uri definition and scheduled for the
next ITU-T meeting! We hope that till the next ITU-T meeting (Q.1 2003) the
revised telephone-uri will be approved and registered with IANA]
Up till two weeks ago Annex O also included the ENUM definitions for H.323.
During the last ITU-T meeting, it was suggested (by Siemens delegation,
specifically) to create a separate H.323 Annex for ENUM for H.323. [It makes
a lot of sense and would also resolve the standards' dependency issues as
shown below]

5. The revised ENUM specification is approved.

6. The H.323 new ENUM Annex [dependant on Annex O] is approved.

7. The H.323 ENUM registration with IANA is performed.

As you could see, the "ENUM for H.323" registration is the last thing to
accomplish in this long standardization chain. That being said, it is a good
thing to start the ball rolling, put some pressure on the standardization
bodies and, most importantly, to create serious technical discussions among
interested parties.

I really hope that it helped somehow to clarify the issue.
See you in Atlanta,
Orit Levin
Chief Architect
RADVISION
Tel: +1.201.6896330

> -----Original Message-----
> From: Richard Shockey [mailto:[email-masked]]
> Sent: Monday, October 28, 2002 1:57 PM
> To: Lawrence Conroy
> Cc: [email-masked]; Orit Levin
> Subject: Re: [Enum] H.323 enumservice registration ID
> 
> At 06:36 PM 10/28/2002 +0000, Lawrence Conroy wrote:
> >At 12:08 pm -0500 28/10/02, Richard Shockey wrote:
> >>This document has gone in the queue...I'm making it available early for
> >>your review ...
> >>
> >>I'll be adding Orit and this Draft to the ENUM WG agenda as well along
> >>with Jon Peterson who has also posted a SIP enumservice registration
> document.
> >>
> >>many many thanks to Orit for getting this ready in time for Atlanta
> >>
> >>
> >>    Internet Draft                                              O. Levin
> >>    Document: draft-levin-enum-h323-00.txt                     RADVISION
> >>
> >>The E2U+H323 ENUM Service
> >
> >Hi Rich, Folks,
> >
> >I note that Orit's draft refers [5] to the "extensive" contribution
> >TD-WP2-0057
> >put into the SG16 meeting last week ( I understood that the outcome was
> that
> >this was likely to be carved out into separate documents and/or
> reconsidered).
> >
> >- is this draft intended as one of those parts?
> >- is the h323: URI spec coming out anytime soon?
> 
> 
> I'm not the person to ask ... I've cc Orit as well on this note.
> 
> 
> 
> >all the best,
> >     Lawrence
> >--
> >-----------------------------------------------------------------------
> >Roke Manor Research    : This information is provided "as is" and is not
> ><mailto:[email-masked]>: intended to create any contractual or legal
> ><tel:+441794833666>    : relationship.
> 
> 
>  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
> Richard Shockey, Senior Manager, Strategic Technology Initiatives
> NeuStar Inc.
> 46000 Center Oak Plaza  -   Sterling, VA  20166
> Voice +1 571.434.5651 Cell : +1 314.503.0640,  Fax: +1 815.333.1237
> <mailto:[email-masked]> or <mailto:[email-masked]>
>   <http://www.neustar.biz> ; <http://www.enum.org>
> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum